FreeBSD Handbook
Prev | Chapter 13 The FreeBSD Booting Process | Next

# 13.4 Kernel Interaction During Boot

Once the kernel is loaded by either the default loader or by boot2 which bypasses the loader, it examines its boot flags, if any, and adjusts its behavior as necessary.

## 13.4.1 Kernel Boot Flags

Here are the more common boot flags:

`-a`

  During kernel initialization, ask for the device to mount as the root file system.

`-C`

  Boot from CDROM.

`-c`

  Run UserConfig, the boot-time kernel configurator.

`-s`

  Boot into single-user mode.

`-v`

  Be more verbose during kernel startup.

> Note: Refer to boot(8) for more information on the other boot flags.

Prev | Home | Next
The Boot Manager and Boot Stages | Up | Device Hints